Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.tags
Class ClickContentTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.tracking.tags.ClickTag
                  |
                  +--com.bea.p13n.tracking.tags.ClickContentTag

public class ClickContentTag
extends ClickTag

Implements the methods necessary to support the `ClickContentTag` tag.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `extraParams` Add additional parameters

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`ClickContentTag()`

Method Summary
`int` | `doStartTag()` Generates an URL value with formatted query string parameters for processing by the ClickContent event handler.
`java.lang.String` | `getExtraParams()`
`void` | `release()`
`void` | `setExtraParams(java.lang.String extraParams)`

Methods inherited from class com.bea.p13n.tracking.tags.ClickTag
`formatClickURL, getDocumentId, getDocumentType, getId, getUserId, setDocumentId, setDocumentType, setId, setUserId`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### extraParams

    protected java.lang.String extraParams

  Add additional parameters

Constructor Detail

### ClickContentTag

    public ClickContentTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Generates an URL value with formatted query string parameters for processing by the ClickContent event handler.

  Returns:
    a value telling the JSP engine to skip the body of the tag.
  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### getExtraParams

    public java.lang.String getExtraParams()

### setExtraParams

    public void setExtraParams(java.lang.String extraParams)

### release

    public void release()

  Overrides:
    release in class ClickTag

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved